| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::ReadinessHelper::Introspectable Class Reference
Utililty classes

The ReadinessHelper::Introspectable class represents a introspectable used by ReadinessHelper. More...

`#include <TelepathyQt/ReadinessHelper>`

## Public Member Functions

| Introspectable ()
| Introspectable (const QSet< uint > &makesSenseForStatuses, const Features &dependsOnFeatures, const QStringList &dependsOnInterfaces, IntrospectFunc introspectFunc, void *introspectFuncData, bool critical=false)
| Introspectable (const Introspectable &other)
| ~Introspectable ()
Introspectable & | operator= (const Introspectable &other)

## Detailed Description

The ReadinessHelper::Introspectable class represents a introspectable used by ReadinessHelper.

## Constructor & Destructor Documentation

Tp::ReadinessHelper::Introspectable::Introspectable | ( |  | ) |

Tp::ReadinessHelper::Introspectable::Introspectable | ( | const QSet< uint > & | makesSenseForStatuses,
|  | const Features & | dependsOnFeatures,
|  | const QStringList & | dependsOnInterfaces,
|  | IntrospectFunc | introspectFunc,
|  | void * | introspectFuncData,
|  | bool | critical = `false`
| ) |  |

Tp::ReadinessHelper::Introspectable::Introspectable | ( | const Introspectable & | other | ) |

Tp::ReadinessHelper::Introspectable::~Introspectable | ( |  | ) |

## Member Function Documentation

ReadinessHelper::Introspectable & Tp::ReadinessHelper::Introspectable::operator= | ( | const Introspectable & | other | ) |